package com.jeeplus.modules.deductiondetails.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class EvaluationSummary extends DataEntity<EvaluationSummary> {
    private static final long serialVersionUID = 1L;
    private String yearOfEvaluation; //施工单位年代
    private String evaName; //施工单位名称
    private String safetyEva; //现场安全管控评价
    private String progressEva; //现场施工质量及进度评价
    private String costEva; //造价及竣工资料评价
    private String qualityEva; //优质服务及文明施工评价
    private String pointsEva; //其他加减分评价
    private String veto; //是否存在否决事项
    private String sumScore; //汇总评分

    @ExcelField(title="施工单位年代", align=2, sort=1)
    public String getYearOfEvaluation() {
        return yearOfEvaluation;
    }

    public void setYearOfEvaluation(String yearOfEvaluation) {
        this.yearOfEvaluation = yearOfEvaluation;
    }

    @ExcelField(title="施工单位名称", align=2, sort=2)
    public String getEvaName() {
        return evaName;
    }

    public void setEvaName(String evaName) {
        this.evaName = evaName;
    }

    @ExcelField(title="现场安全管控评价", align=2, sort=3)
    public String getSafetyEva() {
        return safetyEva;
    }

    public void setSafetyEva(String safetyEva) {
        this.safetyEva = safetyEva;
    }

    @ExcelField(title="现场施工质量及进度评价", align=2, sort=4)
    public String getProgressEva() {
        return progressEva;
    }

    public void setProgressEva(String progressEva) {
        this.progressEva = progressEva;
    }

    @ExcelField(title="造价及竣工资料评价", align=2, sort=5)
    public String getCostEva() {
        return costEva;
    }

    public void setCostEva(String costEva) {
        this.costEva = costEva;
    }

    @ExcelField(title="优质服务及文明施工评价", align=2, sort=6)
    public String getQualityEva() {
        return qualityEva;
    }

    public void setQualityEva(String qualityEva) {
        this.qualityEva = qualityEva;
    }

    @ExcelField(title="其他加减分评价", align=2, sort=7)
    public String getPointsEva() {
        return pointsEva;
    }

    public void setPointsEva(String pointsEva) {
        this.pointsEva = pointsEva;
    }

    @ExcelField(title="是否存在否决事项", align=2, sort=8)
    public String getVeto() {
        return veto;
    }

    public void setVeto(String veto) {
        this.veto = veto;
    }

    @ExcelField(title="汇总评分", align=2, sort=9)
    public String getSumScore() {
        return sumScore;
    }

    public void setSumScore(String sumScore) {
        this.sumScore = sumScore;
    }
}
